log4cpp: log4cpp::AbortAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::AbortAppender Class Reference

This Appender causes the application to abort() upon the first append() call. More...

`#include <AbortAppender.hh>`

Inheritance diagram for log4cpp::AbortAppender:

[legend]
Collaboration diagram for log4cpp::AbortAppender:

[legend]
List of all members.

## Public Member Functions
| AbortAppender (const std::string &name)
virtual | ~AbortAppender ()
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g.
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
virtual bool | requiresLayout () const
| The AbortAppender does not layout.
virtual void | setLayout (Layout *layout)
| Set the Layout for this appender.
## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way.

## Detailed Description

This Appender causes the application to abort() upon the first append() call.

Since:
  0.3.5

## Constructor & Destructor Documentation

log4cpp::AbortAppender::AbortAppender | ( | const std::string & | name | ) |

log4cpp::AbortAppender::~AbortAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

bool log4cpp::AbortAppender::reopen | ( |  | ) | `[virtual]`

Reopens the output destination of this Appender, e.g.

the logfile or TCP socket.

Returns:
  false if an error occured during reopening, true otherwise.

Reimplemented from log4cpp::AppenderSkeleton.

void log4cpp::AbortAppender::close | ( |  | ) | `[virtual]`

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4cpp::AppenderSkeleton.

bool log4cpp::AbortAppender::requiresLayout | ( |  | ) | const`[virtual]`

The AbortAppender does not layout.

Returns:
  false

Implements log4cpp::AppenderSkeleton.

void log4cpp::AbortAppender::setLayout | ( | Layout * | layout | ) | `[virtual]`

Set the Layout for this appender.

Parameters:

  | layout | The layout to use.

Implements log4cpp::AppenderSkeleton.

void log4cpp::AbortAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters:

  | event | The LoggingEvent to log.

Implements log4cpp::AppenderSkeleton.

The documentation for this class was generated from the following files:

- AbortAppender.hh
- AbortAppender.cpp